# Uses of Class
javax.swing.text.EditorKit

Packages that use EditorKit
Package
Description
javax.swing
Provides a set of "lightweight" (all-Java language) components that, to the maximum degree possible, work the same on all platforms.
javax.swing.plaf
Provides one interface and many abstract classes that Swing uses to provide its pluggable look-and-feel capabilities.
javax.swing.plaf.basic
Provides user interface objects built according to the Basic look and feel.
javax.swing.plaf.multi
Provides user interface objects that combine two or more look and feels.
javax.swing.text
Provides classes and interfaces that deal with editable and noneditable text components.
javax.swing.text.html
Provides the class `HTMLEditorKit` and supporting classes for creating HTML text editors.
javax.swing.text.rtf
Provides a class (`RTFEditorKit`) for creating Rich-Text-Format text editors.

## Uses of EditorKit in javax.swing

Methods in javax.swing that return EditorKit
Modifier and Type
Method
Description
`protected EditorKit`
JEditorPane.`createDefaultEditorKit()`
Creates the default editor kit (`PlainEditorKit`) for when the component is first created.
`protected EditorKit`
JTextPane.`createDefaultEditorKit()`
Creates the `EditorKit` to use by default.
`static EditorKit`
JEditorPane.`createEditorKitForContentType(String type)`
Creates a handler for the given type from the default registry of editor kits.
`EditorKit`
JEditorPane.`getEditorKit()`
Fetches the currently installed kit for handling content.
`EditorKit`
JEditorPane.`getEditorKitForContentType(String type)`
Fetches the editor kit to use for the given type of content.
Methods in javax.swing with parameters of type EditorKit
Modifier and Type
Method
Description
`void`
JEditorPane.`setEditorKit(EditorKit kit)`
Sets the currently installed kit for handling content.
`final void`
JTextPane.`setEditorKit(EditorKit kit)`
Sets the currently installed kit for handling content.
`void`
JEditorPane.`setEditorKitForContentType(String type, EditorKit k)`
Directly sets the editor kit to use for the given type.

## Uses of EditorKit in javax.swing.plaf

Methods in javax.swing.plaf that return EditorKit
Modifier and Type
Method
Description
`abstract EditorKit`
TextUI.`getEditorKit(JTextComponent t)`
Fetches the binding of services that set a policy for the type of document being edited.

## Uses of EditorKit in javax.swing.plaf.basic

Methods in javax.swing.plaf.basic that return EditorKit
Modifier and Type
Method
Description
`EditorKit`
BasicEditorPaneUI.`getEditorKit(JTextComponent tc)`
Fetches the EditorKit for the UI.
`EditorKit`
BasicTextUI.`getEditorKit(JTextComponent tc)`
Fetches the EditorKit for the UI.

## Uses of EditorKit in javax.swing.plaf.multi

Methods in javax.swing.plaf.multi that return EditorKit
Modifier and Type
Method
Description
`EditorKit`
MultiTextUI.`getEditorKit(JTextComponent a)`
Invokes the `getEditorKit` method on each UI handled by this object.

## Uses of EditorKit in javax.swing.text

Subclasses of EditorKit in javax.swing.text
Modifier and Type
Class
Description
`class`
`DefaultEditorKit`
This is the set of things needed by a text component to be a reasonably functioning editor for some type of text document.
`class`
`StyledEditorKit`
This is the set of things needed by a text component to be a reasonably functioning editor for some type of text document.

## Uses of EditorKit in javax.swing.text.html

Subclasses of EditorKit in javax.swing.text.html
Modifier and Type
Class
Description
`class`
`HTMLEditorKit`
The Swing JEditorPane text component supports different kinds of content via a plug-in mechanism called an EditorKit.

## Uses of EditorKit in javax.swing.text.rtf

Subclasses of EditorKit in javax.swing.text.rtf
Modifier and Type
Class
Description
`class`
`RTFEditorKit`
This is the default implementation of RTF editing functionality.